require 'securerandom'

module Editframe
  class Util 
    def self.dimensions_for_aspect_ratio(aspect_ratio, hd = false)
      case aspect_ratio
      when '1:1'
        hd ? { :width => 1024, :height => 1024 } :  { :width => 700, :height => 700 }
      when '16:9'
        hd ? { :width => 1920, :height => 1080 } :  { :width => 1024, :height => 576 }
      when '5:4'
        hd ? { :width => 1280, :height => 1024 } :  { :width => 640, :height => 512 }
      when '4:5'
        hd ? { :width => 1024, :height => 1280 } :  { :width => 512, :height => 640 }
      when '9:16'
        hd ? { :width => 1080, :height => 1920 } :  { :width => 576, :height => 1024 }
      end
    end

    def self.dimensions_for_resolution(resolution = '700x700')
      return {} unless !resolution.nil?
      values = resolution.split('x')
      { width: values[0].to_i, height: values[1].to_i }
    end

    def self.uuid
      SecureRandom.uuid.slice(0,6)
    end 
  end 
end
